Bug 1002279 - Project configuration bugs when using cmake-fedora-newprj
Summary: Project configuration bugs when using cmake-fedora-newprj
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake-fedora
Version: 19
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-28 19:07 UTC by Matt Woelfel
Modified: 2015-01-12 02:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-12 02:04:25 UTC


Attachments (Terms of Use)
fix missing include and syntax error (1009 bytes, text/plain)
2013-08-28 19:07 UTC, Matt Woelfel
no flags Details

Description Matt Woelfel 2013-08-28 19:07:40 UTC
Created attachment 791513 [details]
fix missing include and syntax error

Description of problem:
I was trying to test out cmake-fedora-newprj on a simple project and ran into some issues with the generated configuration file and some of the cmake supporting libraries.

Version-Release number of selected component (if applicable):
cmake-fedora-1.0.5-2.fc19.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create your project files
.
└── src
    ├── CMakeLists.txt
    └── hello.c
2. cmake-fedora-newprj hello
3. mkdir build && cd build && cmake ..
-- The C compiler identification is GNU 4.8.1
-- The CXX compiler identification is GNU 4.8.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at /usr/share/cmake/Modules/ManageVersion.cmake:85 (SET_COMPILE_ENV):
  Unknown CMake command "SET_COMPILE_ENV".
Call Stack (most recent call first):
  CMakeLists.txt:48 (RELEASE_NOTES_READ_FILE)
4. Apply patch to ManageVersion
5. cmake ..
---- Output ----
CMake Error at CMakeLists.txt:70 (MANAGE_SOURCE_VERSION_CONTROL_):
  Unknown CMake command "MANAGE_SOURCE_VERSION_CONTROL_".
6. Remove offending line in hello/CMakeLists.txt, which should not have been generated in the first place since the flag was ommitted from cmake-fedora-newprj.
7. cmake ..
CMake Error at /usr/share/cmake/Modules/ManageReleaseFedora.cmake:171 (ADD_DEPENDENCIES):
  Cannot add target-level dependencies to non-existent target "tag_pre".

  The add_dependencies works for top-level logical targets created by the
  add_executable, add_library, or add_custom_target commands.  If you want to
  add file-level dependencies see the DEPENDS option of the add_custom_target
  and add_custom_command commands.
Call Stack (most recent call first):
  /usr/share/cmake/Modules/ManageReleaseFedora.cmake:362 (RELEASE_ADD_KOJI_BUILD_SCRATCH)
  CMakeLists.txt:96 (RELEASE_FEDORA)


CMake Error at /usr/share/cmake/Modules/ManageUpload.cmake:140 (MANAGE_UPLOAD_MAKE_TAGET):
  Unknown CMake command "MANAGE_UPLOAD_MAKE_TAGET".
Call Stack (most recent call first):
  CMakeLists.txt:110 (MANAGE_UPLOAD_CMD)


-- Configuring incomplete, errors occurred!
8. Apply patch to ManageUpload.cmake to fix the last error output in step 7.

Actual results:
Build scripts that don't work without some hacking.

Expected results:
A basic cmake project that builds after the initial cmake-fedora-newprj.

Additional info:
I'm not familiar enough with cmake to address all the above issues and get the project building using cmake-fedora-newprj, but this should help tackle some of the issues.

Comment 1 Dani Perez 2013-09-26 14:46:44 UTC
I can confirm the same happens in Fedora 18. Maybe I don't get the error in step 7, but I can reproduce the others. Same solution depicted in the patch worked for me.

Name        : cmake-fedora
Version     : 1.0.5
Release     : 1.fc18
Architecture: noarch
Install Date: Wed 25 Sep 2013 05:45:50 PM CEST
Group       : System Environment/Libraries
Size        : 236784
License     : BSD
Signature   : RSA/SHA256, Tue 21 Aug 2012 06:35:37 AM CEST, Key ID ff01125cde7f38bd
Source RPM  : cmake-fedora-1.0.5-1.fc18.src.rpm
Build Date  : Tue 21 Aug 2012 04:52:02 AM CEST
Build Host  : buildvm-32.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : https://fedorahosted.org/cmake-fedora/
Summary     : CMake helper modules for fedora developers

Comment 2 Andrew Ross 2014-02-14 00:57:31 UTC
ManageArchive is not being included in the CMakeLists.txt file generated by cmake-fedora-newprj.

I get the following error:

CMake Error at CMakeLists.txt:98 (PACK_SOURCE_ARCHIVE):
  Unknown CMake command "PACK_SOURCE_ARCHIVE".


Which goes away when I add to CMakeLists.txt:

INCLUDE(ManageArchive)



Version: cmake-fedora-1.2.7-1.fc20.noarch
(and cmake-2.8.12.1-1.fc20.x86_64)

Comment 3 Fedora Update System 2014-08-15 11:23:45 UTC
cmake-fedora-2.1.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cmake-fedora-2.1.3-1.fc20

Comment 4 Fedora Update System 2014-08-15 11:23:57 UTC
cmake-fedora-2.1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cmake-fedora-2.1.3-1.fc19

Comment 5 Fedora Update System 2014-08-15 11:24:05 UTC
cmake-fedora-2.1.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-2.1.3-1.el6

Comment 6 Fedora Update System 2014-08-15 11:24:16 UTC
cmake-fedora-2.1.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-2.1.3-1.el5

Comment 7 Fedora Update System 2014-08-26 06:02:38 UTC
cmake-fedora-2.2.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cmake-fedora-2.2.2-1.fc20

Comment 8 Fedora Update System 2014-08-26 06:02:47 UTC
cmake-fedora-2.2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cmake-fedora-2.2.2-1.fc19

Comment 9 Fedora Update System 2014-08-26 06:02:55 UTC
cmake-fedora-2.2.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-2.2.2-1.el5

Comment 10 Fedora Update System 2014-08-26 06:03:05 UTC
cmake-fedora-2.2.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-2.2.2-1.el6

Comment 11 Fedora Update System 2014-08-27 01:12:34 UTC
cmake-fedora-2.3.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.0-1.fc20

Comment 12 Fedora Update System 2014-08-27 01:12:42 UTC
cmake-fedora-2.3.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.0-1.fc19

Comment 13 Fedora Update System 2014-08-27 01:12:51 UTC
cmake-fedora-2.3.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.0-1.el6

Comment 14 Fedora Update System 2014-08-27 01:12:58 UTC
cmake-fedora-2.3.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.0-1.el5

Comment 15 Fedora Update System 2014-09-09 22:18:35 UTC
cmake-fedora-2.3.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-09-09 22:23:12 UTC
cmake-fedora-2.3.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-09-24 03:45:36 UTC
cmake-fedora-2.3.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-09-24 03:46:42 UTC
cmake-fedora-2.3.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora End Of Life 2015-01-09 22:35:35 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.